## org.gnu.gtk
Class StatusBar

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Box
                              org.gnu.gtk.HBox
                                  org.gnu.gtk.StatusBar

public class StatusBar
extends HBox

A Statusbar is usually placed along the bottom of an application's main `Window`. It may provide a regular commentary of the application's status (as is usually the case in a web browser, for example), or may be used to simply output a message when the status changes, (when an upload is complete in an FTP client, for example). It may also have a resize grip (a triangular area in the lower right corner) which can be clicked on to resize the window containing the statusbar.

Status bars in Gtk+ maintain a stack of messages. The message at the top of the each bar's stack is the one that will currently be displayed.

Any messages added to a statusbar's stack must specify a contextID that is used to uniquely identify the source of a message. This contextID can be generated by `getContextID(String)`, given a message. Note that messages are stored in a stack, and when choosing which message to display, the stack structure is adhered to, regardless of the context identifier of a message.

Messages are added to the bar's stack with `push(int,String)`.

The message at the top of the stack can be removed using `pop(int)`. A message can be removed from anywhere in the stack if it's messageID was recorded at the time it was added. This is done using `remove(int, int)`.

Constructor Summary
`StatusBar()` Creates a new StatusBar Widget
`StatusBar(org.gnu.glib.Handle handle)` Creates a new StatusBar from a handle to native resources.

Method Summary
`void` `addListener(StatusBarListener listener)` Register an object to handle StatusBar events.
`int` `getContextID(java.lang.String description)` Returns a new context identifier, given a description of the actual context.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`boolean` `getHasResizeGrip()` Returns whether the statusbar has a resize grip.
`static StatusBar` `getStatusBar(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `pop(int contextID)` Removes the message at the top of the statusbar's stack.
`int` `push(int contextID, java.lang.String text)` Pushes a new message onto a statusbar's stack.
`void` `remove(int contextID, int messageID)` Forces the removal of a message from a statusbar's stack.
`void` `removeListener(StatusBarListener listener)` Removes a listener
`void` `setHasResizeGrip(boolean setting)` Sets whether the statusbar has a resize grip.

Methods inherited from class org.gnu.gtk.HBox
`getHBox`

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusBar

    public StatusBar()

  Creates a new StatusBar Widget

### StatusBar

    public StatusBar(org.gnu.glib.Handle handle)

  Creates a new StatusBar from a handle to native resources. This should only be used internally by the Java-Gnome packages.

Method Detail

### getStatusBar

    public static StatusBar getStatusBar(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### getContextID

    public int getContextID(java.lang.String description)

  Returns a new context identifier, given a description of the actual context.

  Parameters:
    `description` - textual description of what context the new message is being used in.
  See Also:
    `StatusBar`

### push

    public int push(int contextID,
                    java.lang.String text)

  Pushes a new message onto a statusbar's stack.

  Parameters:
    `contextID` - The message's context id, as returned by `getContextID(String)`
    `text` - The message to add to the statusbar.
  Returns:
    The message's new message id for use with `remove(int, int)`

### pop

    public void pop(int contextID)

  Removes the message at the top of the statusbar's stack.

  Parameters:
    `contextID` - a context identifier.

### remove

    public void remove(int contextID,
                       int messageID)

  Forces the removal of a message from a statusbar's stack. The exact contextID and messageID must be specified.

  Parameters:
    `contextID` - A context identifier.
    `messageID` - A message identifier, as returned by `push(int, String)`.

### setHasResizeGrip

    public void setHasResizeGrip(boolean setting)

  Sets whether the statusbar has a resize grip. TRUE by default.

  Parameters:
    `setting` - TRUE to have a resize grip.

### getHasResizeGrip

    public boolean getHasResizeGrip()

  Returns whether the statusbar has a resize grip.

  Returns:
    TRUE if the statusbar has a resize grip.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### addListener

    public void addListener(StatusBarListener listener)

  Register an object to handle StatusBar events.

  See Also:
    `StatusBarListener`

### removeListener

    public void removeListener(StatusBarListener listener)

  Removes a listener

  See Also:
    `addListener(StatusBarListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`